Net::SSH::Perl::AuthMgr(3)

NAME
Net::SSH::Perl::AuthMgr - Authentication manager/context for SSH-2

SYNOPSIS
    use Net::SSH::Perl::AuthMgr;
    my $amgr = Net::SSH::Perl::AuthMgr->new($ssh);
    $amgr->authenticate;

DESCRIPTION
Net::SSH::Perl::AuthMgr manages authentication methods and auth context for the SSH-2 authentication process. At its heart is a dispatch mechanism that waits for incoming packets and responds as necessary, based on a handler table that maps packet types to code references.

You should never need to use AuthMgr directly, as it will be automatically invoked when you call login.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.